Frankenfirmware 10.3 with 10.5 NVer Q

Discussion in '3DS - Homebrew Development and Emulators' started by JanoSicek, Feb 2, 2016.

  1. JanoSicek
    OP

    JanoSicek Newbie

    Newcomer
    8
    0
    May 21, 2008
    Poland
    I am running original FW at 10.3.28, have Cubic Ninja, and just this weekend installed single CIA file from 10.5.30 firmware = NVer, so that I could go to eshop using HANS and download updates / games.

    Now I read that doing this is actually dangerous.

    Can anyone explain what could go wrong?

    Also, can I remove this file somehow? Replace it with CIA file of the previous NVer?

    What will happen when I trigger System Update (bye bye NASA)?

    PS: I do not want to downgrade this 3DS, I have another one that is running old FW.
     


  2. pokemoner2500

    pokemoner2500 GBAtemp Advanced Fan

    Member
    846
    276
    Aug 14, 2013
    United States
    If you don't intend to downgrade just update, no point in staying on that FW with no intention of downgrading.
     
    Hoppy likes this.
  3. WiiUBricker

    WiiUBricker Insert Custom Title

    Member
    6,897
    3,925
    Sep 19, 2009
    Argentina
    Espresso
    Everything that writes to the sysNand is generally not recommended. Not sure if Nver is a critical system title but better safe than sorry.

    Actually the point is he can use homemenu hax if he stays at 10.3.
     
  4. pokemoner2500

    pokemoner2500 GBAtemp Advanced Fan

    Member
    846
    276
    Aug 14, 2013
    United States
    I guess... (i figured payloads had been updated by now)
     
  5. JanoSicek
    OP

    JanoSicek Newbie

    Newcomer
    8
    0
    May 21, 2008
    Poland
    While on 10.3 I can install CIA and use IronHax.
     
  6. Shadowfied

    Shadowfied GBAtemp Advanced Maniac

    Member
    1,658
    1,454
    Dec 6, 2014
    Sorry, I know you stated that you don't want to downgrade but I MUST advice you to do it anyway. It really makes the usage of the system more convenient, especially when you have multiple systems, moving save games back and forth etc. It's pretty much risk-free if you use SafeSysUpdater. I'd be happy to guide you through everything if you'd want.
     
    CrispyYoshi likes this.
  7. Timthegangsta

    Timthegangsta Advanced Member

    Newcomer
    89
    57
    Sep 19, 2015
    United States
    ^^^^^ This. is very much so your best choice nearly full speed emulators. Pirate games (if your Into that sort of stuff) and emunand 10.5 with cfw is the best thing since sliced bread. also as the post above states downgradeing is really easy and has a 90% rate of working but in the end its your choice man
     
    CrispyYoshi and Shadowfied like this.
  8. ShinyMK

    ShinyMK known as @initPRAGMA

    Member
    1,507
    532
    Dec 29, 2015
    127.0.0.1
    I would downgrade, Trust me its worth the time put into doing the process. I downgraded and now have 22 full games on my system ;)
    If you need to know how to Downgrade heres the thread I followed on the same version you are on: https://gbatemp.net/threads/simple-guide-to-downgrading-your-3ds.407888
    Once you downgrade, Checkout this thread to install rxTools so you can install any .cia (Very convenient and it works online): https://gbatemp.net/threads/installing-rxtools-9-2-0-20-w-unlinking-updating-online-access.409489/
     
  9. escequi

    escequi GBAtemp Regular

    Member
    292
    52
    Apr 4, 2014
    Brazil
    Osasco, Sao Paulo
    If your 3ds is the old model, downgrade is pretty safe
     
  10. ShinyMK

    ShinyMK known as @initPRAGMA

    Member
    1,507
    532
    Dec 29, 2015
    127.0.0.1
    Yeah doing it on n3DS is an Easy Brick.
     
  11. Shadowfied

    Shadowfied GBAtemp Advanced Maniac

    Member
    1,658
    1,454
    Dec 6, 2014
    No. If you use SafeSysUpdater it's almost impossible to brick even on N3DS. I've downgraded 3 New 3DS', two of which I didn't even use the Safe version. Not even a softbrick on any of them.
     
  12. escequi

    escequi GBAtemp Regular

    Member
    292
    52
    Apr 4, 2014
    Brazil
    Osasco, Sao Paulo
    Were they on fw other than 10.3? I've never tried on N3ds (as all i own is a o3ds and just wish i had the budget for a N3ds :/) but as i've seen alot of people got their N3ds bricked (not from 10.3) and as i can tell they did everything right (like if it is hard, just download the update files and put in a folder, people who actually do something wrong shouldn't be allowed to breath)
     
  13. Shadowfied

    Shadowfied GBAtemp Advanced Maniac

    Member
    1,658
    1,454
    Dec 6, 2014
    1 of them was on 10.3, others on 9.9. Honestly there haven't been any concrete proof as to why it would brick on FWs other than 10.3 and it's not like there are any reports of it now, if that was the case the CFW forums would be flooded with posts of people who bricked their N3DS'.
     
  14. escequi

    escequi GBAtemp Regular

    Member
    292
    52
    Apr 4, 2014
    Brazil
    Osasco, Sao Paulo
    Yea i'm just trying to figure things out. So basically bricking is a question of luck? lol
     
  15. Shadowfied

    Shadowfied GBAtemp Advanced Maniac

    Member
    1,658
    1,454
    Dec 6, 2014
    Seems so. And stupidity. People who refuse to verify their MD5s but still insist on NOT using SafeSysUpdater that end up using incorrect files etc, or people who regret downgrading when the process has already started so they power down (has actually happened)
     
  16. escequi

    escequi GBAtemp Regular

    Member
    292
    52
    Apr 4, 2014
    Brazil
    Osasco, Sao Paulo
    I mean, i've guided a guy on downgrading his N3ds (i think he was on 10.1 or something), he checked the files with safesysupdater, but since it was refusing to work i just said for him to use sysupdater (since they have the same downgrade code anyways, and well, i also did it with my o3ds since it was also refusing to work, was always getting black screen with white line) and he got a brick, he said that he got an error after clicking to downgrade and even recovery mode wasn't booting
     
  17. Shadowfied

    Shadowfied GBAtemp Advanced Maniac

    Member
    1,658
    1,454
    Dec 6, 2014
    I hope he tried ejecting his SD card :)

    Yeah there are some bugs that prevent SafeSysUpdater from actually starting the downgrade, chances are reportedly improved by opening another app such as FTBrony, then quitting it and opening SafeSysUpdater, it is irrelevant to bricking though.
     
  18. escequi

    escequi GBAtemp Regular

    Member
    292
    52
    Apr 4, 2014
    Brazil
    Osasco, Sao Paulo
    Yea i told him to try that and he said didn't help :P Good to know about the ftbrony :P
     
  19. twocows

    twocows Member

    Newcomer
    48
    19
    Feb 2, 2013
    United States
    Michigan
    You're unlikely to brick yourself by updating the nver title, it's literally just an eight byte file with some version information in it. But yes, best practice is not to mix and match different version system titles, as some combinations will brick you.
     
  20. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    329
    Nov 19, 2008
    United States
    Sandy, UT
    Menuhax works on 10.5 as well. So if he has zero intention of ever downgrading then it's better to just make the leap to 10.5 instead of franken-firmwaring his console.